org.apache.fop.afp.modca

## Enum Rotation

- java.lang.Object
- - java.lang.Enum<Rotation>
  - - org.apache.fop.afp.modca.Rotation

All Implemented Interfaces:
  Serializable, Comparable<Rotation>

    public enum Rotation
    extends Enum<Rotation>

Represents a rotation value

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ROTATION_0`
`ROTATION_180`
`ROTATION_270`
`ROTATION_90`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`byte` `getByte()`
`static Rotation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Rotation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`void` `writeTo(byte[] out, int offset)`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROTATION_0

    public static final Rotation ROTATION_0

#### ROTATION_90

    public static final Rotation ROTATION_90

#### ROTATION_180

    public static final Rotation ROTATION_180

#### ROTATION_270

    public static final Rotation ROTATION_270

### Method Detail

#### values

    public static Rotation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Rotation c : Rotation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Rotation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### writeTo

    public void writeTo(byte[] out,
                        int offset)

#### getByte

    public byte getByte()